{ pkgs, lib, config, ... }:
let
  mod = config.xsession.windowManager.i3.config.modifier;
in
{
  config = {
    home.packages = with pkgs; [
      pwgen
    ];
    programs = {
      bash.shellAliases = {
        pw = ''${pkgs.pwgen}/bin/pwgen 32 -y''; # Generate passwords. ln((26*2+10)**32)/ln(2) ≅ 190 bits of entropy
      };
      password-store.enable = true;
    };
    xsession.windowManager.i3.config.keybindings."${mod}+c" = "exec --no-startup-id ${config.programs.rofi.pass.package}/bin/rofi-pass --last-used";
    # TODO Try autopass.cr
  };
}
